package ru.voskhod.smev.client.api.services.transport;

import ru.voskhod.smev.client.api.types.exception.SMEVRuntimeException;
import ru.voskhod.smev.client.api.types.message.attachment.LargeUpAttachment;

public interface LargeAttachmentTransport2 extends LargeAttachmentTransport
{
    /**
     * Загружает указанное вложение в СМЭВ
     *
     * @param attachment описание вложения
     * @throws SMEVRuntimeException в случае ошибок
     */
    void upload(LargeUpAttachment attachment) throws SMEVRuntimeException;
}
