package ru.voskhod.smev.client.api.services.template;

import ru.voskhod.smev.client.api.types.exception.SMEVException;
import ru.voskhod.smev.client.api.types.message.attachment.MTOMAttachment;

public interface MTOMAttachmentTemplate2 extends MTOMAttachmentTemplate
{
    /**
     * Формирует вложение на основе указанного массива байт
     *
     * @param name
     *            имя вложение
     * @param mimeType TODO
     * @param data
     *            данные вложения
     * @return вложение
     * @throws SMEVException
     *             в случае ошибки
     */
    MTOMAttachment createAttachment(String name, String mimeType, byte[] data) throws SMEVException;
}
