package ru.voskhod.smev.client.api.template.impl;

import ru.voskhod.smev.client.api.services.template.AttachmentDownloadTemplate;
import ru.voskhod.smev.client.api.services.transport.LargeAttachmentTransport;
import ru.voskhod.smev.client.api.types.message.SMEVMessage;

public class NopAttachmentDownloadTemplateImpl implements AttachmentDownloadTemplate
{
    @Override
    public void download(SMEVMessage message, LargeAttachmentTransport largeAttachmentTransport) {
        ;
    }

    private NopAttachmentDownloadTemplateImpl() {
    }

    public static final NopAttachmentDownloadTemplateImpl INSTANCE = new NopAttachmentDownloadTemplateImpl();
}
